Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153264 - Media insertion into USB card reader is treated as removable drive instead of removable media
Summary: Media insertion into USB card reader is treated as removable drive instead of...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-volume-manager
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-04 09:17 UTC by Msquared
Modified: 2013-03-13 04:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-04 15:08:30 UTC


Attachments (Terms of Use)

Description Msquared 2005-04-04 09:17:26 UTC
Description of problem:

When inserting a CF/MMC/SD card into a USB card reader, it's treated as a
removable drive, not as removable media, and is mounted according to "Mount
removable drives when hot-plugged" rather than "Mount removable media when
inserted".


Version-Release number of selected component (if applicable):

Whichever version shipped with FC4t1.


How reproducible:

Always

Steps to Reproduce:
1. Open Preferences/Removable Drives and Media
2. Turn on "Mount removable drives when hot-plugged"
3. Turn off "Mount removable media when inserted"
4. Plug a USB card reader in
5. Wait for 30 seconds to let the system register the reader
6. Insert a CF/MMC/SD memory card
  
Actual results:

The CF/MMC/SD memory card is mounted.

Expected results:

The CF/MMC/SD memory card should not be mounted unless the "Mount removable
media when inserted" option was turned on.

Additional info:

Comment 1 John (J5) Palmieri 2005-04-04 15:08:30 UTC
This is correct behavior.  Confusing but correct.  A USB card is a removable
drive.  DVD's and CD's are removable media.  Well a USB card in a USB reader is
actually both but for policy we keep it as a drive.  I'm going to patch it out
as one option and leave the two gconf keys for people who want finer grained
access at some point.

Comment 2 Msquared 2005-04-05 08:20:18 UTC
(In reply to comment #1)

> This is correct behavior.  Confusing but correct.

I can understand the technical reasons why it's correct, but it it confuses the
user then it misses the point.  There's no reason to create if there's nobody to
consume...

Oh well, a bit of a moot point if you're removing the distinction in the user
interface.  :o)

Comment 3 David Zeuthen 2005-04-05 15:16:35 UTC
The patch mentioned in comment 1 should go upstream too.


Note You need to log in before you can comment on or make changes to this bug.